﻿@using Microsoft.AspNetCore.Identity
@using CarRental.Core.Models

@inject SignInManager<Account> SignInManager
@inject UserManager<Account> UserManager

@model List<TransactionHistory>
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@{
    ViewData["Title"] = "List";
    var currentUser = await UserManager.GetUserAsync(User);
    if (await UserManager.IsInRoleAsync(currentUser, ListRoles.CarOwner))
    {
        Layout = "~/Areas/CarOwner/Views/Shared/_Layout.cshtml";
    }
    else if (await UserManager.IsInRoleAsync(currentUser, ListRoles.Customer))
    {
        Layout = "~/Areas/Customer/Views/Shared/_LayoutCustomer.cshtml";
    }
}

<section>
    <div class="main">
        <div class="container">
            <div class="row mb-3">
                <div class="col-md-12 mb-4">
                    <div class="header">
                        <b>My Wallet</b>
                    </div>
                </div>
                <div class="col-md-7">
                    <span>Your current balance: </span>
                    <ul>
                        <li style="list-style: none; color: #48A587; font-size: 30px;">@string.Format("{0:N0} VND", @ViewBag.Wallet)</li>
                    </ul>
                </div>
                <div class="col-md-3">
                    <div class="text d-flex">
                        <button data-target="#withdraw-modal" data-toggle="modal" class="btn btn-warning d-block mb-1 ml-1 w-100 p-2">
                            Withdraw
                        </button>
                        <button data-target="#topup-modal" data-toggle="modal" class="btn btn-success d-block mb-1 ml-1 w-100 p-2">
                            Top-up
                        </button>
                    </div>
                </div>
                <div tabindex="-1" class="modal " id="topup-modal" role="dialog" aria-hidden="true">
                    <div class="modal-dialog modal-sm">
                        <div class="modal-content">
                            <div class="modal-header" style="justify-content: center; border: none; padding: 0%;">
                                <h5>Top up</h5>
                            </div>
                            <div class="modal-body" style="border-bottom: 1px solid #cbc6c6;padding: 0 1rem 2rem 1rem; color:black">
                                Input the amount you want to top-up to your account.
                            </div>
                            <form method="post"
                                asp-area="Accounts"
                                  asp-controller="Wallet"
                                  asp-action="Topup">
                                <input type="number" name="topup_amount" placeholder="Enter amount" class="form-control">
                                <div class="row d-flex">
                                    <div class="col-md-6" style=" border-right: 1px solid #cbc6c6;">
                                        <button class="btn btn-outline w-100" data-dismiss="modal">No</button>
                                    </div>
                                    <div class="col-md-6">
                                        <button type="submit" class="btn btn-outline w-100">Yes</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                <div tabindex="-1" class="modal " id="topup-modal" role="dialog" aria-hidden="true">
                    <div class="modal-dialog modal-sm">
                        <div class="modal-content">
                            <div class="modal-header" style="justify-content: center; border: none; padding: 0%;">
                                <h5>Top up</h5>
                            </div>
                            <div class="modal-body" style="border-bottom: 1px solid #cbc6c6;padding: 0 1rem 2rem 1rem; color:black">
                                Input the amount you want to top-up to your account.
                            </div>
                            <form method="post"
                                  asp-area="Accounts"
                                  asp-controller="Wallet"
                                  asp-action="Topup">
                                <input type="number" name="topup_amount" placeholder="Enter amount" class="form-control">
                                <div class="row d-flex">
                                    <div class="col-md-6" style=" border-right: 1px solid #cbc6c6;">
                                        <button class="btn btn-outline w-100" data-dismiss="modal">No</button>
                                    </div>
                                    <div class="col-md-6">
                                        <button type="submit" class="btn btn-outline w-100">Yes</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                <div tabindex="-1" class="modal " id="withdraw-modal" role="dialog" aria-hidden="true">
                    <div class="modal-dialog modal-sm">
                        <div class="modal-content">
                            <div class="modal-header" style="justify-content: center; border: none; padding: 0%;">
                                <h5>Top up</h5>
                            </div>
                            <div class="modal-body" style="border-bottom: 1px solid #cbc6c6;padding: 0 1rem 2rem 1rem; color:black">
                                Input the amount you want to withdraw from your account.
                            </div>
                            <form method="post"
                                  asp-area="Accounts"
                                  asp-controller="Wallet"
                                  asp-action="Withdraw">
                                <input type="number" name="withdraw_amount" placeholder="Enter amount" class="form-control">
                                <div class="row d-flex">
                                    <div class="col-md-6" style=" border-right: 1px solid #cbc6c6;">
                                        <button class="btn btn-outline w-100" data-dismiss="modal">No</button>
                                    </div>
                                    <div class="col-md-6">
                                        <button type="submit" class="btn btn-outline w-100">Yes</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row mb-5">
                <div class="col-md-12">
                    <div class="header">
                        <b>Transactions</b>
                    </div>
                </div>
                <div class="col-md-5 ml-5">
                    <label for="">From</label>
                    <input type="date" style="width: 60%; margin: 10px;">
                </div>
                <div class="col-md-5">
                    <label for="">To</label>
                    <input type="date" style="width: 60%; margin: 10px;">
                </div>
            </div>
            <div class="row mb-4">
                <div class="col-md-12 mb-4">
                    <div class="float-right">
                        <a class="btn btn-secondary w-100" href="#"
                           aria-expanded="false" style="padding: 10px 40px;">
                            Search
                        </a>
                    </div>
                </div>
                <div class="col-md-12">
                    <table class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th>No</th>
                                <th>Amount</th>
                                <th>Type</th>
                                <th>Date time</th>
                                <th>Note</th>
                            </tr>
                        </thead>
                        <tbody>
                            @{
                                var i = 1;
                            }
                            @foreach (var item in Model)
                            {
                                <tr>
                                    <td>@i</td>
                                    <td class="@(item.Amount < 0 ? "text-danger" : "text-success")">@string.Format("{0:N0}", @item.Amount)</td>
                                    <td>@item.TransactionType</td>
                                    <td>@item.TransactionDate</td>
                                    <td>@item.TransactionDescription</td>
                                </tr>
                                i++;
                            }
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>